@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

body {
    min-height: 100vh;
    width: 100%;
    margin: 0;
    padding: 0;
    text-align: center;
    font-family: "Montserrat", sans-serif;
    font-optical-sizing: auto;
    font-weight: 600;
    font-style: normal;
    line-height: 1.5;
}

h2{
    margin: 0rem 0;
    font-style: normal;
    font-weight: 800;
    font-size: 80px;
    /* identical to box height */
    font-variant: all-small-caps;
    color: #FFFFFF;
}

section{
    padding-top: 2.5rem !important;
    padding-bottom: 2.5rem !important;
}


.navbar {
    display: flex;
    width: 100%;
    justify-content: space-between;
    align-items: center;
    padding: 0.6rem 1.6rem;
    color: white;
    position: fixed;
    z-index: 100;
    top: 0;
    background: rgba(255, 255, 255, 1); /* Dark semi-transparent background */
    backdrop-filter: blur(10px); /* Frosted glass effect */
    -webkit-backdrop-filter: blur(10px); /* Safari support */
    border-bottom: 1px solid rgb(255, 255, 255); /* Subtle border */
}

.navbar .logo img {
    height: 2.2rem;
    margin-left: 2rem;
    width: auto;
    transform: scale(1.4);          
    transform-origin: left center;  
}

.menu-container {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    width: 100%;
}

.menu {
    list-style: none;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 90%;
    padding: 0 5%;
    margin: 0;
}

.menu li {
    text-align: center;
    padding-right: 1rem;
}

.menu a {
    color: #2EABE2;
    text-decoration: none;
    font-family: Montserrat;
    font-weight: 600;
    font-size: 18px;
    font-variant: small-caps;
    text-transform: uppercase;
}

.login-btn {
    color: white;
    text-decoration: none;
    font-size: 16px;
    font-weight: bold;
}

/* Mobile Styles */
.menu-toggle {
    display: none;
    background: none;
    border: none;
    color: white;
    font-size: 18px;
    cursor: pointer;
    align-items: center;
    padding: 10px;
}

.menu-toggle span {
    margin-right: 5px;
}

.hero {
    display: flex;
    /* overflow: hidden; */
    position: relative;
    flex-direction: row;
    justify-content: flex-start;
    width: 100%;
    height: 100%;
    margin-top: 2rem;
    padding-bottom: 8rem;
} 
.hero::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: url('img/hero-backgound.png') no-repeat center right/cover;
    z-index: -1;
}

.hero .hero-text{
    display: flex;
    flex-direction: column;
    margin-left: 5%;
}

.hero .hero-text .hero-title{
    width: 70%;
    float: left;
    font-weight: 700;
    font-size: 3.25rem;
    text-transform: uppercase;
    color: #2EABE2;
    text-align: left;
    margin: 2rem 0 4rem;
}

.hero .hero-text .hero-btn,
.hero .hero-text .social-links,
.hero .hero-text .phone-muber
{
    display: flex;
    width: 50%;
    align-items: center;
    justify-content: center;
}

.hero .hero-text .social-links{
    padding: 1rem 0px;
    gap: 4px;
}

.hero .hero-text .phone-muber a{
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 500;
    font-size: 20px;
    font-variant: all-small-caps;
    color: #2EABE2;
    text-decoration: none; 
}

.hero .hero-text .phone-muber .contact-info {
    margin-top: 5px;
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    font-variant: all-small-caps;
    color: #2EABE2;
    line-height: 0.8;
  }
  
  .hero .hero-text .phone-muber .contact-info .email a {
    color: #2EABE2;
    text-decoration: none;
  }
  
  .hero .hero-text .phone-muber {
    display: flex;
    flex-direction: column;
    align-items: center; 
    gap: 5px;
  }
  
  .hero .hero-text .phone-muber .contact-info,
  .hero .hero-text .phone-muber .contact-info a {
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 500;
    font-size: 20px;
    font-variant: all-small-caps;
    color: #2EABE2;
    text-decoration: none;
    line-height: 0.9;
  }

.slider-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    background: #3498db;
    color: white;
    padding: 4rem 5%;
    /* padding-top: 4rem !important;
    padding-bottom: 4rem !important; */
}

/* Hide the default arrows generated by Slick */
.slick-prev.slick-arrow:before, .slick-next.slick-arrow:before {
    content: '';
}
.slick-swiper-button-prev {
    left: -50px !important;
}
.slick-swiper-button-next {
    right: -50px !important;
}

/* Custom arrows styling */
.slick-swiper-button-prev, .slick-swiper-button-next {
    color: white; /* White arrow color */
    border-radius: 50%; /* Rounded corners */
    width: 40px; /* Width of the arrow button */
    height: 40px; /* Height of the arrow button */
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 50%; /* Center the arrows vertically */
    transform: translateY(-50%);
    z-index: 10;
}


/* Slick icon styling */
.slick-swiper-button-prev i, .slick-swiper-button-next i {
    font-size: 20px; /* Icon size */
    color: white; /* Icon color */
}

.slider-container .slick-next:focus, .slider-container .slick-next:hover, .slider-container .slick-prev:focus, .slider-container.slick-prev:hover{
    color: #fff !important;
}

section.about-us .slick-swiper-button-prev, section.about-us .slick-swiper-button-next {
    color: #2EABE2;
}

section.about-us .slick-swiper-button-prev {
    left: 0 !important;
}
section.about-us .slick-swiper-button-next {
    right: 0 !important; 
}

.slider-container .slider{
    width: 45%;
}

.slider-container .slider img{
    aspect-ratio: 16/9;
    object-fit: contain;
    max-height: 500px;
}



.slider-container .slider-content{
    padding-left: 1rem;
    text-align: left;
    display: flex;
    flex-direction: column;
    width: 50%;
}
.slider-container .slick-dots li button:before,
.slider-container .slick-dots li.slick-active button:before{
    color: #fff;
}
section.slider-container .slider-headling{
    display: flex;
    width: 100%;
    align-items: center;
    justify-content: center;
    font-weight: 800;
    font-size: 55px;
    text-align: right;
    font-variant: small-caps;
    text-transform: uppercase;
    margin: 0;
    /* problems of your clients */
}

.slider-container .slider-text{
    width: 100%;
    font-family: Montserrat;
    font-weight: 400;
    font-size: 1.1rem;
    margin: 0;
    margin-top: 2rem;
}
.slider-container .slider-content .slider-text{
    margin-top: 0.5rem;
    padding-left: 10%;
    width: 90%;
}

.slick-slide img {
    width: 100%;
    /* border-radius: 10px; */
}

.about-us{
    display: flex;
    flex-direction: column;
    width: 90%;
    padding: 0 5%;
    align-items: center;
    margin-bottom: 2rem;
}
section.about-us .swiper-navBtn{
    color: #2EABE2 !important;
}

.about-us .about-us-content{
    display: flex;
    width: 100%;
    flex-direction: column;
    color: #2EABE2;
}

.about-us .about-us-content .about-us-title{
    color: #2EABE2;
}

.about-us .about-us-content .about-us-text{
    width: 60%;
    margin: 1rem auto;
    font-weight: 400;
    font-size: 18px;
    text-align: center;
}

.about-us .video-slider{
    display: flex;
    align-items: center;
    padding: 0 5%;
    width: 100%;
}
.about-us .video-slider .video-item{
    width: 40vw;
    margin: 4px;  
}

.about-us .video-slider .video-item.slick-slide{
    width: 60vw;
}
.about-us .video-slider .video-item.slick-slide iframe{
    width: 100%;
    height: 100%;
    aspect-ratio: 16/9;
}

.about-us .slick-next:before, .slick-prev:before{
    color: #2EABE2;
}

.ventilation-warning {
    background-color: #0d5edd;
    color: white;
    text-align: center;
    font-weight: bold;
    padding: 10px 20px;
    font-family: Arial, sans-serif;
    letter-spacing: 0.5px;
    text-transform: uppercase;
    margin-bottom: 10px; /* додаємо відступ знизу */
  }

/********* Catalog slider stylings  - START *********/

section.catalogue{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: #2EABE2;
}

section.catalogue .card .card-content {
    display: none;
    transition: transform 1s ease-in-out !important; /* 1s = 1000ms */
}

section.catalogue .card .image-content{
    position: relative;
}

section.catalogue .card .image-content .card-image{
    position: absolute;
    top: 8rem;
    transition: transform 1s ease-in-out !important; /* 1s = 1000ms */
}

section.catalogue .swiper-slide-active.card .card-content{
    display: flex;
    transition: transform 1s ease-in-out !important; /* 1s = 1000ms */
}

section.catalogue .swiper-slide-active.card .image-content{
    position: relative;
}

section.catalogue .swiper-slide-active.card .image-content .card-image{
    position: relative;
    top: auto;
    transition: transform 1s ease-in-out !important; /* 1s = 1000ms */
}

.slide-container {
    max-width: 90%;
    width: 100%;
    padding: 1rem 2% 2rem;
}
.slide-content {
    margin: 0 4rem;
    overflow: hidden;
    border-radius: 25px;
}
.card {
    border-radius: 25px;
    background-color: none;
}
.swiper-slide-active.card{
    background-color: #FFF; 
}



.image-content,
.card-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 10px 14px;
}
.image-content {
    position: relative;
    row-gap: 5px;
    padding: 1rem 0 0;
}

.card-image {
    position: relative;
    height: 220px;
    width: 220px;
    padding: 4px;
}

.card-image .card-img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    border-radius: 50%;
    /* border: 4px solid #4070F4; */
}

.card-content .name {
    font-style: normal;
    font-weight: 700;
    font-size: 20px;
    margin: 0;
    /* identical to box height, or 90% */
    text-align: center;
    color: #2EABE2;
}

.card-content .description {
    font-size: 14px;

    text-align: left;
}

section.catalogue .card-content .description{
    text-transform: uppercase;
    color: #2EABE2;
}

.card-content .button {
    border: none;
    font-size: 16px;
    color: #FFF;
    padding: 8px 16px;
    background-color: #2EABE2;
    border-radius: 6px;
    margin:  0 12px 12px;
    cursor: pointer;
    transition: all 0.3s ease;
}

.button:hover {
    background: #265DF2;
}

.swiper-navBtn {
    color: #FFFFFF;
    transition: color 0.3s ease;
}

.swiper-navBtn::before,
.swiper-navBtn::after {
    font-size: 35px;
}

.swiper-button-next {
    right: 0;
}

.swiper-button-prev {
    left: 0;
}
.swiper-navBtn::before, .swiper-navBtn::after {
    font-size: 50px;
}

.swiper-pagination-bullet {
    background-color: #e1e1e1;
    opacity: 1;
}

.swiper-pagination-bullet-active {
    background-color: #FFFFFF;
    
}

.buy-now-btn, .view-more-btn{
    width: 60%;
    margin: 14px;
    text-decoration: none;
}

.product-price{
    margin: 0; 
    color: #2EABE2; 
    text-transform: uppercase; 
    /* font-weight: 500; */
}

.card-content .button.buy-now-btn{
    background: #5ac235;
    margin-top: 0px;
}

@media screen and (max-width: 768px) {
    .slide-content {
        margin: 0 10px;
    }
    .swiper-navBtn {
        display: none;
    }
}

/********** Catalog slider stylings - END ***********/

/********** Projects slider stylings - START *********/

section.projects h2{
    color: #2EABE2;
}
section.projects .swiper-navBtn{
    color: #2EABE2 !important;
}

section.projects .card-image{
    width: 100%;
    height: auto;
}

section.projects .card-image .card-img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    border-radius: 0;
    /* border: 4px solid #4070F4; */
}

section.projects .card-content{
    padding: 10px 0px;
}

section.projects .description{
    font-style: normal;
    font-weight: 400;
    font-size: 20px;
    color: #2EABE2;
}
section.projects .swiper-pagination-bullet-active{
    background-color: #2EABE2 ;
}

/* Popup styles */
/* Popup Overlay (Hidden by Default) */
.popup-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5); /* Semi-transparent black */
    display: none;
    align-items: center;
    justify-content: center;
    z-index: 1000; /* Ensure it's above everything */
}

/* Show popup when active */
.popup-overlay.active {
    display: flex;
}

/* Popup Overlay (Hidden by Default) */
.popup-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5); /* Semi-transparent black */
    display: none;
    align-items: center;
    justify-content: center;
    z-index: 1000; /* Ensure it's above everything */
}

/* Show popup when active */
.popup-overlay.active {
    display: flex;
}

/* Popup Content */
.popup-content {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    background: #fff;
    color: #2EABE2 !important;
    padding: 1rem;
    width: 100%;
    max-width: 93vw !important;
    text-align: center;
    border-radius: 8px;
    position: relative;
    z-index: 1001; /* Above overlay */
    max-height: 80%;
    overflow-y: auto;
}

.popup-content h2{
    color: #2EABE2 !important; 
    width: 100%;
}

.popup-content .product-attributes{
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    width: 100%;
}

.attributes-left,
.attributes-right {
    width: 24%;
    display: flex;
    flex-direction: column;
}



.attributes-image {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    width: 50%;
    position: relative;
}

.attributes-image iframe{
    min-height: 30vh;
}


.d-block-info {
    position: relative;
    width: fit-content;
    margin: 4px auto 0 auto;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    white-space: nowrap;
    padding: 4px 40px;
    background-color: #fff;
    border-radius: 60px;
    /* box-shadow: 0px 4px 16px rgb(0 0 0 / 4%); */
}

.d-block-info img {
    position: relative;
    display: inline-block;
    width: 38px;
    max-width: 100%;
    height: 38px;
    min-width: 38px;
    margin: 0 20px 0 0;
}
.d-block-info span {
    font-weight: 700;
    font-size: 14px;
    line-height: 1.7em;
    letter-spacing: 0.1em;
    text-transform: uppercase;
    color: #000;
}
.attributes-image .button.buy-now-btn{
    border: none;
    font-size: 16px;
    color: #FFF;
    padding: 12px 40px;
    background-color: #5ac235;
    border-radius: 6px;
    margin: 14px;
    cursor: pointer;
    transition: all 0.3s ease;
    width: fit-content;
}

.popup-content .attribute {
    display: flex;
    font-size: 1rem;
    flex-direction: column;
    margin-bottom: 1rem;
}

.popup-content .attributes-left .attribute{
    align-items: left;
    justify-content: left;
    text-align: left;
}

.popup-content .attributes-right .attribute{
    align-items: right;
    justify-content: right;
    text-align: right;
}

.popup-content .attribute-name {
    font-weight: bold;
    flex: 1;
}

.popup-content .attribute-value {
    flex: 2;
    font-size: 1rem;
    font-weight: 500;
}

.popup-content .attribute-name p,
.popup-content .attribute-value p {
    margin: 0;
    padding: 0;
}
  

/* Close Button */
.popup-close {
    position: absolute;
    top: 10px;
    right: 15px;
    background: none;
    border: none;
    font-size: 24px;
    cursor: pointer;
    color: #2EABE2;
    z-index: 1002; /* Ensure it's clickable */
}


/* Show popup when active */
.popup-overlay.active {
    visibility: visible;
    opacity: 1;
}


/********** Projects slider stylings - END ***********/



/* contactus-block */
section.contactus-block{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    width: 90%;
    padding: 4rem 5%;
    padding-top: 4rem !important;
    padding-bottom: 4rem !important;
    background-color: #2EABE2;
}
section.contactus-block .contact-information{
    position: relative;
    display: flex;
    width: 50%;
    flex-direction: column;
    border-radius: 1rem;
    border: 1px solid #2386B1;
    overflow: hidden;
}

section.contactus-block .contact-information img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    mix-blend-mode: Multiply;
    filter: blur(4px);

}
section.contactus-block .contact-information h2{
    position: absolute;
    width: 80%;
    margin: 0;
    top:50%;
    left: 50%;
    transform: translate(-50%,-50%);
    font-weight: 800;
    font-size: 5rem;
    text-align: right;
    text-transform: uppercase;
}

section.contactus-block .contact-information h3{
    position: absolute;
    width: 80%;
    margin: 0;
    top:50%;
    left: 50%;
    transform: translate(-50%,-50%);
    font-weight: 800;
    font-size: 5rem;
    text-align: right;
    text-transform: uppercase;
}

section.contactus-block .contact-information h4 {
    position: absolute;
    top: 75%; /* трохи нижче за h2 */
    left: 50%;
    transform: translate(-50%,-50%);
    width: 90%;
    margin: 0;
    font-size: 16px!important;
    font-weight: 600;
    text-align: center;
    text-transform: uppercase;
    color: white; /* успадковує колір від батька */
    font-family: inherit; /* успадковує шрифт */
}


/* contact-form */
section.contactus-block .contact-form {
    display: flex;
    position: relative;
    background-color: white;
    color: #2386B1;
    width: 40%;
    height: 100%;
    border: none;
    border-radius: 0.5rem;
    flex-direction: column;
    text-transform: uppercase;
}

.massage-form{
    padding: 2rem;
}
.massage-form button{
    margin-top: 1rem;
}
.form-group {
    display: flex;
    flex-direction: column;
    margin-bottom: 2rem;
}
.form-group:last-child{
    margin-bottom: 1rem;
}

label, .checkbox-group p {

    text-align: left;
    font-weight: 600;
    font-size: 15px;
    font-variant: small-caps;
    padding: 4px 0;
}

.form-group input {
    height: 2rem;
    padding: 0.5rem 1rem;
    background: #BFECFF;
    border-radius: 17px;
    border: 1px solid #2EABE2;
    font-weight: 400;
    font-size: 12px;
    font-variant: small-caps;

}

.checkbox-group p {
    padding: 1rem 0;
}

.checkbox-group input[type="checkbox"] {
    margin-right: 0.5rem; /* Adjust space as needed */
    /* Rectangle 20 */
    width: 20px;
    height: 20px;
    left: 710px;
    top: 3710.9px;
    background: #FFFFFF;
    border: 1px solid #5BC0F0;
    border-radius: 4px;
}

.checkbox-group label {
    display: flex;
    align-items: center;
    font-weight: normal;
    /* Online-Treffen / Videoanruf */
    font-style: normal;
    font-weight: 600;
    font-size: 1rem;
    text-align: left;
    /* identical to box height */
    font-variant: all-small-caps;
}

section.contactus-block .social-links{
    display: flex;
    gap: 0.5rem;
    padding: 0.5rem 0;
}

button{
    height: 3rem;
    padding: 1rem;
    background: #39ABE2;
    border-radius: 17px;
    /* Nachricht senden */
    font-style: normal;
    font-weight: 500;
    font-size: 1rem;
    font-variant: all-small-caps;
    color: #FFFFFF;
    border: none;
}

/************** Footer stylings - START **************/
.footer {
    display: flex;
    width: 90%;
    justify-content: center;
    align-items: center;
    padding: 1rem 5%;
}
.footer-links{
    display: flex;
    width: 80%;
    justify-content: space-between;
    color: #2386B1;
}
.footer .logo img {
    height: 2.2rem;
    width: auto;
}

.footer-links li{
    display: flex;
    align-items: center;
    list-style: none; /* Remove default bullets */
    text-transform: uppercase;
    font-weight: 600;
    font-size: 17px;
    font-variant: small-caps;
}

.footer-links a{
    color: #2386B1;
}
.footer-links .privacy a{
    text-decoration: none;
}
.desktop-hidden{
    display: none;
}
/************** Footer stylings - END ****************/

@media (min-width: 1025px) {
    .swiper-pagination-horizontal {
        display: none !important;
    }
    .slider-container .slick-list {
        top: 50%;
        transform: translateY(-50%) !important;
    }
    .slider-container .swiper-button-next, .swiper-button-prev{
        margin-top: 0px !important;
    }
}

@media (min-width: 768px) and (max-width: 1024px) {
    .menu-container .menu a{
        font-style: normal;
        font-weight: 400;
        font-size: 1rem;
        text-align: center;
        font-variant: all-small-caps;
        width: 100%;
        height: 100%;
    }
}


@media (max-width: 1025px) {
    .hero .hero-text .hero-title{
        width: 95%;
        font-size: 2.5rem;
    }
    h2{
        font-size: 2.5rem;
    }

    .menu{
        width: 95%;
        gap: 4px;
    }
    .menu li {
        text-align: center;
        padding-right: 0.5rem;
    }
    .hero .hero-text .hero-btn, .hero .hero-text .social-links, .hero .hero-text .phone-muber{
        width: 30%;
    }

    section.slider-container{
        flex-direction: column;
        align-items: center;
    }
    section.slider-container .slider-content{
        width: 100%;
    }
    section.slider-container .slider-content .slider-headling{
        text-align: center;
    }
    section.slider-container .slider{
        width: 60%;
        padding-bottom: 4rem;
    }
    .slider-container .slider-text{
        padding-left: 0;
        text-align: center;
    }
    .slider-container .slider-content .slider-text{
        padding-left: 0;
        text-align: center;
        width: 100%;
    }

    .about-us .video-slider{
        display: flex;
        align-items: center;
        padding: 0 5%;
        width: 90%;
    }
    .about-us .video-slider .video-item{
        width: 100%;
        margin: 4px 0;
    }
    /* .about-us .video-slider .video-item.slick-active{
        width: 60vw;
    } */
    .about-us .video-slider .video-item iframe{
        width: 100%;
        height: auto;
    }
    section.about-us .slick-swiper-button-prev{
        left: -30px !important;
    }
    section.about-us .slick-swiper-button-next{
        right: -30px !important;
    }


    section.catalogue .swiper-slide.card .card-content{
        display: flex;
        transition: transform 1s ease-in-out !important; /* 1s = 1000ms */
    }
    .swiper-slide.card {
        background-color: #FFF;
    }
    
    section.catalogue .swiper-slide.card .image-content{
        position: relative;
    }
    
    section.catalogue .swiper-slide.card .image-content .card-image{
        position: relative;
        top: auto;
        transition: transform 1s ease-in-out !important; /* 1s = 1000ms */
    }
    .attributes-image iframe{
        height: 100%;
        aspect-ratio: 16/9;
    }

    section.projects .card-image{
        width: 60%;
    }
    section.contactus-block .contact-information h2{
        text-align: center;
    }
    section.contactus-block .contact-information{
        width: 40%;
    }
    section.contactus-block .contact-form{
        width: 50%;
    }

}

@media (max-width: 769px) {
    section{
        flex-direction: column;
        padding-bottom: 2rem;
    }
    .desktop-hidden{
        display: flex;
    }
    .mobile-hidden{
        display: none;
    }

    header{
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .navbar{
        width: 90%;
        border-radius: 27px;
        position: fixed;
        z-index: 1000;
        height: 50px;
        margin: 1rem 2%;
        padding: 0.6rem 0.6rem;
    }
    .navbar::after {
        content: "";
        display: block;
        position: absolute;
        /* z-index: 100; */
        width: 100%;
        background: rgba(255, 255, 255, 1); /* Dark semi-transparent background */
        backdrop-filter: blur(10px); /* Frosted glass effect */
        -webkit-backdrop-filter: blur(10px); /* Safari support */
        border-bottom: 1px solid rgba(255, 255, 255, 0.6); /* Subtle border */
        left: 0%;
        border-radius: 27px;
        z-index: -1;
        height: 100%;
        /* margin: 1rem 5%; */
    }
    
    .menu {
        display: none;
        flex-direction: column;
        position: absolute;
        z-index: 1000;
        top: 72px;
        left: 0px;
        width: 100%;
        border-radius: 5px;
        padding: 1rem 0;
        /* background: linear-gradient(to left, rgba(255, 255, 255, 1), rgba(80, 177, 209, 0)); */
        
    }

    .menu::after {
        content: "";
        display: block;
        position: absolute;
        /* z-index: 100; */
        width: 100%;
        background: rgba(255, 255, 255, 1); /* Dark semi-transparent background */
        backdrop-filter: blur(90%); /* Frosted glass effect */
        -webkit-backdrop-filter: blur(10px); /* Safari support */
        border-bottom: 1px solid rgba(255, 255, 255, 0.6); /* Subtle border */
        border-radius: 5px;
        left: 0%;
        top: 0;
        z-index: -1;
        height: 100%;
        margin-top: 0px;
    }

    .menu li {
        display: block;
        position: relative;
        width: 80%;
        text-align: center;
        margin: 0.2rem;
        /* background: linear-gradient(90deg, #FFFFFF 0%, rgba(91, 192, 240, 0.5) 100%); */
    }
    .menu li:first-child::before{
        border-top: none;
    }
    
    .menu li::before{
        content: "";
        position: absolute;
        width: 100%;
        /* height: 100%; */
        top: -8px;
        left: 0;
        border-top: 1px solid #2386B1;
    }

    .menu-toggle {
        display: flex;
        /* color: rgba(53, 147, 198, 1); */
        color: #2386B1;
    }
    .menu-toggle button{
        margin-top: 0px;
    }
    .menu-toggle::before {
        content: "";
        display: inline-block;
        position: relative;
        top: -4px;
        width: 10px;
        height: 10px;
        border-left: 2px solid #2386B1;
        border-bottom: 2px solid #2386B1;
        transform: rotate(-45deg);
        margin-right: 8px;
        transition: transform 0.3s ease-in-out;
    } 
    .menu-toggle.active::before {
        transform: rotate(135deg);
        top: 4px;
    }

    section.hero{
        margin-top: 4rem;
        padding-bottom: 0rem;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        padding-bottom: 0px !important;
    }
    section.hero::before{
        background: none;
    }

    section.hero .hero-text{
        display: flex;
        width: 90%;
        flex-direction: column;
        margin-left: 0%;
        margin: 0rem 5%;
        justify-content: center;
        align-items: center;
    }

    section.hero .hero-text .hero-title{
        margin-bottom: 2rem;
        text-align: center;
    }

    section.hero .hero-text .hero-btn, .hero .hero-text .social-links, .hero .hero-text .phone-muber{
        width: 90%;
    }

    section.hero .hero-image{
        width: 100%;
        padding-top: 1rem;
    }
    section.hero .hero-image img{
        width: 100%;
        height: auto;
    }



    .slider-container{
        padding: 2.5rem 5%;
    }
    section.slider-container .slider{
        width: 90%;
        height: auto;
        padding-bottom: 0rem;
        margin-bottom: 4rem;
    }
    section.slider-container .slick-dots li button:before{
        color: white !important;
    }

    .slider-container .slider-text{
        width: 90%;
        padding: 0 2%;
        font-size: 1.2rem;
    }
    .slider-container .slider-content{
        padding-left: 0px;
    }
    section.slider-container .slider-headling{
        font-size: 2.5rem;
        padding: 0 2%;
        width: 90%;
        text-align: center;
    }


    section.about-us .about-us-content .about-us-text{
        width: 90%;
    }

    section.about-us .slick-dots{
        width: 89%;
        font-size: 12px;
    }

    .slick-dots li button:before{
        color: #2386B1 !important;
        font-size: 12px;
    }

    section.contactus-block .contact-information{
        width: 100%;
        margin-bottom: 1rem;
    }
    section.contactus-block .contact-form{
        width: 100%;
    }
    section.contactus-block .contact-information h2{
        font-size: 28px;
        text-align: center;
        margin: auto;
    }

    /* Footer */
    .footer{
        width: 90%;
    }
    .footer-links {
        padding-left: 0;
        flex-direction: column;
        align-items: center;
        width: 100%;
        /* justify-content: center; */
        align-items: center;
        gap: 1rem;
    }


    /* Popup styles */

    /* Popup Content */
    .popup-content {
        max-height: 95%;
    }

    .popup-content h2{
        margin-top: 1.5rem;
    }

    .popup-content .product-attributes{
        flex-direction: column;
        flex-wrap: wrap;
    }

    .attributes-left,
    .attributes-right {
        width: 100%;
        display: flex;
        flex-direction: column;
    }

    .attributes-image {
        width: 100%;
    }

    .attributes-image iframe{
        min-height: 30vh !important;
        height: 100% !important;
        aspect-ratio: 16/9;
    }
    .attributes-image .button.buy-now-btn{
        margin-bottom: 2rem;
    }


    .popup-content .attributes-left .attribute,
    .popup-content .attributes-right .attribute{
        text-align: center;
    }
}




